XFCE4-TERMINAL(1)

NAME
xfce4-terminal - Emulator terminal untuk X

SINOPSIS

xfce4-terminal [OPSI...]

KETERANGAN

xfce4-terminal adalah apa yang dikenal sebagai emulator terminal X, sering disebut sebagai terminal atau shell. Terminal menyediakan pengganti untuk layar teks bergaya lama di desktop anda, namun dapat dengan mudah berbagi layar dengan aplikasi grafis lainnya. Pengguna Windows mungkin telah familier dengan utilitas MS-DOS, yang memiliki fungsi analog dalam menawarkan baris perintah DOS di dalam Windows, meskipun perlu diingat bahwa CLI UNIX menawarkan kemampuan yang lebih besar dan kemudahan yang lebih dalam hal penggunaan dibanding DOS.

xfce4-terminal mengemulasi aplikasi xterm yang dikembangkan oleh X Consortium. Sebaliknya, aplikasi xterm mengemulasikan terminal DEC VT102 dan juga mendukung sekuensi keluar DEC VT220. Sekuensi keluar adalah rangkaian karakter yang dimulai dengan karakter Esc. xfce4-terminal menerima semua sekuensi keluar yang terminal VT102 dan VT220 gunakan untuk fungsi-fungsi seperti meletakkan kursor dan untuk membersihkan layar.

OPSI

  Ringkasan Opsi

Di sini adalah ringkasan untuk semua opsi, dikelompokkan berdasarkan tipe. Penjelasannya di bagian berikut.

Opsi umum
    -h, --help; -V, --version; --disable-server; --color-table; --default-display=tampilan; --default-working-directory=direktori

Pemisah Jendela atau Tab
    --tab; --window

Opsi Tab
    -x, --execute; -e, --command=perintah; --working-directory=direktori; -T, --title=judul; -H, --hold

Opsi Jendela
    --display=tampilan; --drop-down; --geometry=geometri; --role=peran; --startup-id=tali; -I, --icon=ikon; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbar, --hide-toolbar

  Opsi umum

-h, --help
    Tampilkan berbagai opsi baris perintah yang didukung oleh xfce4-terminal lalu keluar

-V, --version
    Tampilkan informasi versi dan keluar

--disable-server
    Jangan daftarkan dengan bus pesan sesi D-BUS

--color-table
    Echo the color codes

--default-display=tampilan
    Tampilan X standar untuk digunakan.

--default-working-directory=direktori
    Atur direktori sebagai direktori kerja standar untuk terminal

  Pemisah Jendela atau Tab

--tab
    Buka tab baru di jendela yang ditentukan terakhir; lebih dari satu opsi seperti ini dapat diberikan.

    If you use this as the first option, without --window separators, the last window will be re-used.

--window
    Buka jendela baru yang berisi satu tab; lebih dari satu opsi seperti ini dapat diberikan.

  Opsi Tab

-x, --execute
    Eksekusi pengingat baris perintah di dalam terminal

-e, --command=perintah
    Eksekusi perintah di dalam terminal

--working-directory=direktori
    Atur direktori sebagai direktori kerja untuk terminal

-T, --title=judul
    Atur judul sebagai judul jendela utama untuk terminal

-H, --hold
    Menyebabkan terminal tetap terbuka ketika perintah anak telah dimatikan

  Opsi Jendela

--display=tampilan
    Tampilan X untuk digunakan bagi jendela yang terakhir ditentukan.

--drop-down
    Will start the window in drop-down mode (also called a Quake-style terminal). This will only apply to the first window started with this option. It is advised to bind this to a shortcut in the keyboard preferences.

--geometry=geometri
    Atur geometri dari jendela yang ditentukan terakhir ke geometri. Baca X(7) untuk informasi lebih lanjut tentang bagaimana menentukan geometri jendela.

--role=peran
    Sets the window role of the last-specified window to role. Applies to only one window and can be specified once for each window you create from the command line. The role is a unique identifier for the window to be used when restoring a session.

--startup-id=tali
    Tentukan id notifikasi hidupkan untuk jendela yang ditentukan terakhir. Gunakan secara internal untuk meneruskan id notifikasi hidupkan ketika menggunakan layanan D-BUS.

-I, --icon=ikon
    Atur ikon terminal sebagai nama ikon atau nama berkas.

--fullscreen
    Atur jendela yang ditentukan terakhir ke dalam mode layar penuh; berlaku hanya untuk satu jendela; dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah.

--maximize
    Atur jendela yang ditentukan terakhir ke dalam mode dimaksimalkan; berlaku hanya untuk satu jendela; dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah.

--show-menubar
    Nyalakan batang menu untuk jendela yang ditentukan terakhir. Dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah.

--hide-menubar
    Matikan batang menu untuk jendela yang ditentukan terakhir. Dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah.

--show-borders
    Nyalakan dekorasi jendela untuk jendela yang ditentukan terakhir. Berlaku hanya untuk satu jendela. Dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah.

--hide-borders
    Matikan dekorasi jendela untuk jendela yang ditentukan terakhir. Berlaku hanya untuk satu jendela. Dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah.

--show-toolbar
    Turn on the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

--hide-toolbar
    Turn off the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

CONTOH

xfce4-terminal --geometry 80x40 --command mutt --tab --command mc
    Buka jendela terminal baru dengan geometri 80 kolom dan 40 baris dan dua tab di dalamnya, dimana tab pertama menjalankan mutt dan tab kedua menjalankan mc

LINGKUNGAN

xfce4-terminal uses the Basedir Specification as defined on Freedesktop.org[1] to locate its data and configuration files. This means that file locations will be specified as a path relative to the directories described in the specification.

${XDG_CONFIG_HOME}
    Direktori awal pertama untuk mencari berkas konfigurasi. Standarnya ini diatur ke ~/.config/.

${XDG_CONFIG_DIRS}
    Tanda titik dua memisahkan senarai direktori dasar yang berisi data konfigurasi. Standarnya aplikasi akan mencari di ${sysconfdir}/xdg/. Nilai ${sysconfdir} tergantung pada bagaimana program dibangun dan akan sering menjadi /etc/ untuk paket biner.

${XDG_DATA_HOME}
    Akar untuk semua berkas data khusus pengguna. Pada keadaan standar diatur ke ~/.local/share/.

${XDG_DATA_DIRS}
    Seperangkat pengaturan yang diurutkan secara relatif terhadap direktori dasar sebagai tempat berkas data akan dicari sebagai tambahan untuk direktori dasar ${XDG_DATA_HOME}. Direktori-direktori harus dipisahkan oleh tanda titik dua.

BERKAS

${XDG_CONFIG_DIRS}/xfce4/terminal/terminalrc
    Ini adalah lokasi berkas konfigurasi yang termasuk pengaturan yang mengontrol tampilan dan rasa xfce4-terminal.

LIHAT PULA

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Pengembang

Benedikt Meurer <benny@xfce.org>
Pengembang peranti lunak, os-cillation, Pengembangan sistem,
    Pengembang

NOTES

1.  Freedesktop.org
    http://freedesktop.org/